Bug 1431612 - crypto-utils-2.4.1-65.fc27 FTBFS: format not a string literal and no format arguments [-Werror=format-security]
Summary: crypto-utils-2.4.1-65.fc27 FTBFS: format not a string literal and no format a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: crypto-utils
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-13 12:27 UTC by Petr Pisar
Modified: 2018-02-20 16:36 UTC (History)
2 users (show)

Fixed In Version: crypto-utils-2.5-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 16:36:55 UTC
Type: Bug


Attachments (Terms of Use)
Proposed patch to fix this bug (1.10 KB, patch)
2017-06-20 19:12 UTC, Anton Guda
no flags Details | Diff

Description Petr Pisar 2017-03-13 12:27:52 UTC
crypto-utils-2.4.1-65.fc27 fails to build in F27:

+ cc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -Wall -Werror=implicit-function-declaration -Werror -I/usr/include/nspr4 -I/usr/include/nss3 keyutil.c certext.c secutil.c -o keyutil -lplc4 -lnspr4 -lnss3
keyutil.c: In function 'UpdateRNG':
keyutil.c:970:9: error: format not a string literal and no format arguments [-Werror=format-security]
     FPS meter);
         ^~~~~
cc1: all warnings being treated as errors

Difference between working and failing build root:

        glibc-devel 	2.25-1.fc26 	> 	2.25-2.fc26
	glibc 	2.25-1.fc26 	> 	2.25-2.fc26
	perl-threads-shared 	1.54-2.fc26 	> 	1.55-1.fc26
	pcre 	8.40-4.fc26 	> 	8.40-5.fc26
	glibc-common 	2.25-1.fc26 	> 	2.25-2.fc26
	libgcc 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	libcrypt-nss 	2.25-1.fc26 	> 	2.25-2.fc26
	glibc-headers 	2.25-1.fc26 	> 	2.25-2.fc26
	python3 	3.6.0-19.fc26 	> 	3.6.0-20.fc26
	glibc-all-langpacks 	2.25-1.fc26 	> 	2.25-2.fc26
	perl-threads 	1:2.12-2.fc26 	> 	1:2.15-1.fc26
	python3-libs 	3.6.0-19.fc26 	> 	3.6.0-20.fc26
	system-python-libs 	3.6.0-19.fc26 	> 	3.6.0-20.fc26
	kernel-headers 	4.11.0-0.rc0.git4.1.... 	> 	4.11.0-0.rc0.git6.1....
	cpp 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	libgomp 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	libstdc++-devel 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	gcc 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	system-python 	3.6.0-19.fc26 	> 	3.6.0-20.fc26
	gdb-headless 	7.12.1-46.fc26 	> 	7.12.50.20170226-3.fc26
	gcc-c++ 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	gmp 	1:6.1.2-2.fc26 	> 	1:6.1.2-3.fc26
	libstdc++ 	7.0.1-0.9.fc26 	> 	7.0.1-0.10.fc26
	libnghttp2 	1.19.0-2.fc26 	> 	1.20.0-1.fc26

This happens in F26 too.

Comment 1 Anton Guda 2017-06-20 19:12:21 UTC
Created attachment 1289810 [details]
Proposed patch to fix this bug

I apply it in "build" stage, with -p2 key:
pushd srcs
 for f in certwatch.c keyrand.c pemutil.c keyutil.c certext.c secutil.c \
    keyutil.h secutil.h NSPRerrs.h SECerrs.h; do
    cp -p $RPM_SOURCE_DIR/$f $f
 done
 patch -p2 < %{PATCH100}

Comment 3 Joe Orton 2017-07-06 15:35:32 UTC
Package: crypto-utils-2.4.1-67.fc27
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=915946

Comment 4 Anton Guda 2017-08-25 10:39:03 UTC
Seems, that it is time to close this bug: for now version is 2.5.

Comment 5 Petr Pisar 2017-08-25 11:11:16 UTC
Fedora 26 is still broken <https://apps.fedoraproject.org/koschei/package/crypto-utils?collection=f26>.

Comment 6 Joe Orton 2018-02-05 16:46:41 UTC
Package: crypto-utils-2.5-1.fc26
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1024065

Comment 7 Fedora Update System 2018-02-05 16:49:14 UTC
crypto-utils-2.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-650a6bd4fc

Comment 8 Fedora Update System 2018-02-06 12:05:06 UTC
crypto-utils-2.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-650a6bd4fc

Comment 9 Fedora Update System 2018-02-20 16:36:55 UTC
crypto-utils-2.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.